net.dontdrinkandroot.lastfm.api.model.xspf

## Class XspfPlaylist

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.xspf.XspfPlaylist

All Implemented Interfaces:
  Serializable

    public class XspfPlaylist
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XspfPlaylist(Element root)`

### Method Summary

Methods
`String` `getAnnotation()`
`List<XspfAttribution>` `getAttributions()`
`String` `getCreator()`
`Date` `getDate()`
`List<XspfExtension>` `getExtensions()`
`URI` `getIdentifier()`
`URI` `getImage()`
`URI` `getInfo()`
`URI` `getLicense()`
`List<XspfLink>` `getLinks()`
`URI` `getLocation()`
`List<XspfMeta>` `getMetas()`
`String` `getTitle()`
`List<XspfTrack>` `getTracks()`
`Integer` `getVersion()`
`void` `setAnnotation(String annotation)`
`void` `setAttributions(List<XspfAttribution> attributions)`
`void` `setCreator(String creator)`
`void` `setDate(Date date)`
`void` `setExtensions(List<XspfExtension> extensions)`
`void` `setIdentifier(URI identifier)`
`void` `setImage(URI image)`
`void` `setInfo(URI info)`
`void` `setLicense(URI license)`
`void` `setLinks(List<XspfLink> links)`
`void` `setLocation(URI location)`
`void` `setMetas(List<XspfMeta> metas)`
`void` `setTitle(String title)`
`void` `setTracks(List<XspfTrack> tracks)`
`void` `setVersion(Integer version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XspfPlaylist

    public XspfPlaylist(Element root)

### Method Detail

#### getVersion

    public Integer getVersion()

#### setVersion

    public void setVersion(Integer version)

#### getTitle

    public String getTitle()

#### setTitle

    public void setTitle(String title)

#### getCreator

    public String getCreator()

#### setCreator

    public void setCreator(String creator)

#### getAnnotation

    public String getAnnotation()

#### setAnnotation

    public void setAnnotation(String annotation)

#### getInfo

    public URI getInfo()

#### setInfo

    public void setInfo(URI info)

#### getLocation

    public URI getLocation()

#### setLocation

    public void setLocation(URI location)

#### getIdentifier

    public URI getIdentifier()

#### setIdentifier

    public void setIdentifier(URI identifier)

#### getImage

    public URI getImage()

#### setImage

    public void setImage(URI image)

#### getDate

    public Date getDate()

#### setDate

    public void setDate(Date date)

#### getLicense

    public URI getLicense()

#### setLicense

    public void setLicense(URI license)

#### getAttributions

    public List<XspfAttribution> getAttributions()

#### setAttributions

    public void setAttributions(List<XspfAttribution> attributions)

#### getLinks

    public List<XspfLink> getLinks()

#### setLinks

    public void setLinks(List<XspfLink> links)

#### getMetas

    public List<XspfMeta> getMetas()

#### setMetas

    public void setMetas(List<XspfMeta> metas)

#### getExtensions

    public List<XspfExtension> getExtensions()

#### setExtensions

    public void setExtensions(List<XspfExtension> extensions)

#### getTracks

    public List<XspfTrack> getTracks()

#### setTracks

    public void setTracks(List<XspfTrack> tracks)